Bug 75746 - redhat-config-users writes DES passwords despite having set the system default redhat-config-users writes DES passwords despite having set the system default to MD5
redhat-config-users writes DES passwords despite having set the system defaul...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libuser (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
: 76560 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 15:48 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-09 13:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-11 15:48:35 EDT
Description of Problem:
redhat-config-users writes DES passwords despite having set the system default
to MD5.

Version-Release number of selected component (if applicable):
1.1.1-2

Steps to Reproduce:
1. run redhat-config-users and set a user's password through the GUI.
2. examine that user's entry in /etc/shadow
3. observe that it is a DES value and not an MD5 value.

Actual Results:
DES-encrypted password

Expected Results:
MD5-encrypted password

Additional Information:
$ cat /etc/sysconfig/authconfig
USEHESIOD=no
USELDAP=no
USEMD5=yes
USENIS=no
USEKERBEROS=no
USELDAPAUTH=no
USESHADOW=yes
USESMBAUTH=no
USEDB=no
Comment 1 Brent Fox 2002-10-14 12:40:45 EDT
Nalin, this seems like a libuser issue to me.  If it's not, then please transfer
back to me.
Comment 2 Alan Cox 2002-12-18 13:16:46 EST
*** Bug 76560 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.